Get a parameter collection
GET
v1/accounts/{accountId}/groups/{groupId}/collections/{collectionId}
Get the details of a parameter collection.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/parameters/v1/accounts/{accountId}/groups/{groupId}/collections/{collectionId} |
| Authentication Context | user context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow. |
| Accept-Language string | A localization list consisting of localization codes delimited by commas. For instance, a user residing in the UK may request en-GB, en-US, or en. |
| Region string | The region the hub’s data is provisioned in.
Currently supports US, EMEA, AUS, IND, DEU, JPN, CAN, and GBR. Default is US. |
* Required
Request
URI Parameters
| accountId string: UUID or string: b.UUID | The Autodesk Forma hub ID. |
| groupId string | The group ID. Currently, only one group is supported, and group id is equal to hub id. (Supporting multiple groups is considered for future enhancement). |
| collectionId string | The collection ID. |
Response
HTTP Status Code Summary
| 200 OK | Successful retrieval of the parameter collection’s details. |
| 207 Partial Success | The best-case scenario for localization cannot be returned, but otherwise the parameter collection indicated was localized in some way. The “best case” is when the first choice localization code could be used on the parameter indicated. |
| 400 Bad Request | The request could not be understood by the server due to malformed syntax. |
| 401 Unauthorized | Request has not been applied because it lacks valid authentication credentials for the target resource. |
| 403 Forbidden | The server understood the request but refuses to authorize it. If the hub is not yet activated there will be a “Account is not activated” message. See Step-by-Step tutorials for how to activate your hub. |
| 404 Not Found | The resource cannot be found. |
| 406 Not Acceptable | The server cannot produce a response matching the list of acceptable values defined in the request. |
| 410 | Access to the target resource is no longer available. |
| 429 Too Many Requests | User has sent too many requests in a given amount of time. |
| 500 Internal Server Error | An unexpected error occurred on the server. |
| 503 Service Unavailable | Server is not ready to handle the request. |
Response
Body Structure (200)
Expand all
| id string | The collection ID. |
| title string | The collection title. |
| description string | The collection description. |
| permissions object | Permissions of the caller of this API for this Collection. |
| write boolean | User can edit contents. |
| read boolean | User can view contents. |
| admin boolean | User can view and change all permissions. Reserved for internal usage. |
| localization object | An object recording information about how this data was localized. If this property is undefined, then no localization attempt was made and the information is presented in its storage form. |
| locale object | The localization tags of this parameter data as it was returned. If the value of selection is “LCL_MISSING” then locale is null. |
| language string | The ISO-439 language code. |
| region string | The ISO-3166-1 2 letter region code or UN M.49 three digit region code. If no region was specified in the source localization, then the value is null. |
| selection enum | How the localization was chosen. Any of: “LCL_EXACT”: The first choice exact localization requested was available. “LCL_FALLBACK”: A fallback scheme controlled by the provided localization list was used but the first choice localization was not used. “LCL_MISSING”: There was no localization available that fulfilled the localization list. |
Example
Successful retrieval of the parameter collection’s details (200).
Request
curl -v 'https://developer.api.autodesk.com/parameters/v1/accounts/009777bb-e1e5-4577-9800-0789677e4616/groups/009777bb-e1e5-4577-9800-0789677e4616/collections/02826a53-ec13-4b0c-980ab-84af7a91214' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"id": "02826a53ec-134b-0c98-0ab8-4af7a91214",
"title": "Education Project Collection",
"description": "Contains parameters for all education projects",
"permissions": {
"read": true,
"write": false,
"admin": false
}
}
Show More
Successful retrieval of the parameter collection’s details in generic German (200).
Request
curl -v 'https://developer.api.autodesk.com/parameters/v1/accounts/009777bb-e1e5-4577-9800-0789677e4616/groups/009777bb-e1e5-4577-9800-0789677e4616/collections/02826a53-ec13-4b0c-980ab-84af7a91214' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Accept-Language: de'
Response
{
"id": "02826a53ec-134b-0c98-0ab8-4af7a91214",
"title": "Sammlung Bildungsprojekte",
"description": "Enthält Parameter für alle Bildungsprojekte",
"permissions": {
"read": true,
"write": false,
"admin": false
},
"localization": {
"locale": {
"language": "de",
"region": null
},
"selection": "LCL_EXACT"
}
}
Show More